From 4674b5a66946136f95de45b9e2e51a3f9330966c Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Noralf=20Tr=C3=B8nnes?= <noralf@tronnes.org>
Date: Wed, 13 Apr 2022 19:28:35 +0200
Subject: [PATCH] overlays: mipi-dbi-spi: width-mm and height-mm are
 mandatory
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

There was a last minute change to the binding in commit 1ecc0c09f19f
("dt-bindings: display: panel: mipi-dbi-spi: Make width-mm/height-mm mandatory").
This was done so userspace can calculate DPI.

Update the overlay to ensure it will work with future kernels.
The driver changes won't be backported to rpi-5.15.

Signed-off-by: Noralf Trønnes <noralf@tronnes.org>
---
 arch/arm/boot/dts/overlays/mipi-dbi-spi-overlay.dts | 3 +++
 1 file changed, 3 insertions(+)

--- a/arch/arm/boot/dts/overlays/mipi-dbi-spi-overlay.dts
+++ b/arch/arm/boot/dts/overlays/mipi-dbi-spi-overlay.dts
@@ -31,6 +31,9 @@
 				reg = <0>;
 				spi-max-frequency = <32000000>;
 
+				width-mm = <0>;
+				height-mm = <0>;
+
 				timing: panel-timing {
 					hactive = <320>;
 					vactive = <240>;
